## dstat 0.5.5

=== Makefile ===
prefix = /usr
sysconfdir = /etc
bindir = $(prefix)/bin
datadir = $(prefix)/share
mandir = $(datadir)/man

all: install

install:
#	-[ ! -f $(DESTDIR)$(sysconfdir)/dstat.conf ] && install -D -m0644 dstat.conf $(DESTDIR)$(sysconfdir)/dstat.conf
	install -D -m0755 dstat $(DESTDIR)$(bindir)/dstat
	install -D -m0644 dstat.1 $(DESTDIR)$(mandir)/man1/dstat.1

## dstat 0.5.10

=== Makefile ===
prefix = /usr
sysconfdir = /etc
bindir = $(prefix)/bin
datadir = $(prefix)/share
mandir = $(datadir)/man

all:
	@echo "No build phase."

install:
#	-[ ! -f $(DESTDIR)$(sysconfdir)/dstat.conf ] && install -D -m0644 dstat.conf $(DESTDIR)$(sysconfdir)/dstat.conf
	install -Dp -m0755 dstat $(DESTDIR)$(bindir)/dstat
	install -Dp -m0644 dstat.1 $(DESTDIR)$(mandir)/man1/dstat.1

clean:
	@echo "No clean phase."

## dstat 0.6.1

=== Makefile ===
prefix = /usr
sysconfdir = /etc
bindir = $(prefix)/bin
datadir = $(prefix)/share
mandir = $(datadir)/man

all:
	@echo "No build phase."

install: dstat.1 dstat.1.html
#	-[ ! -f $(DESTDIR)$(sysconfdir)/dstat.conf ] && install -D -m0644 dstat.conf $(DESTDIR)$(sysconfdir)/dstat.conf
	install -Dp -m0755 dstat $(DESTDIR)$(bindir)/dstat
	install -Dp -m0644 dstat.1 $(DESTDIR)$(mandir)/man1/dstat.1
	install -d -m0755 $(DESTDIR)$(datadir)/dstat/
	install -Dp -m0755 dstat $(DESTDIR)$(datadir)/dstat/dstat.py
	install -Dp -m0755 plugins/dstat_*.py $(DESTDIR)$(datadir)/dstat/
#	install -d -m0755 $(DESTDIR)$(datadir)/dstat/examples/
#	install -Dp -m0755 examples/*.py $(DESTDIR)$(datadir)/dstat/examples/

clean:
	rm -f dstat15.tr examples/*.pyc plugins/*.pyc dstat.1 dstat.1.html dstat.1.xml

#### Imperfect translation to dstat15
tr:
	@cat dstat | perl -p -e ' \
			next if (s|(\S+)\.center\((.+)\)\.replace\((.+), (.+)\)|string.replace(string.center($$1, $$2), $$3, $$4)|g); \
			next if (s|(.[-?] .)\.rjust\((\S+)\)|string.rjust\($$1, $$2\)|g); \
			next if (s|(. .)\.join\(l\[cpunr\+2:\]\)\.split\((.,.)\)|string.split(string.join(l[cpunr+2:], $$1), $$2)|g); \
			next if (s|self\.intmap\[(\S+)\.strip\(\)\.lower\(\)\]|self.intmap[string.strip(string.lower($$1))]|g); \
			next if (s|\((.0.) \+ (. .) \* len\((\S+)\)\)\.rjust\((\S+)\)|string.rjust($$1 + $$2 * len($$3), $$4)|g); \
			next if (s|(\S+)\.replace\((.:.), (. .)\)\.split\(\)|string.split(string.replace($$1, $$2, $$3))|g); \
			next if (s|ret\[name\.strip\(\)\.lower\(\)\]|name = string.lower(string.strip(name))\n				ret[name]|g); \
			s|(\S+)\.replace\((.+), (.+)\)|string.replace($$1, $$2, $$3)|g; \
			s|(\S+)\.rjust\((.+)\)|string.rjust($$1, $$2)|g; \
			s|(\S+)\.center\((.+)\)|string.center($$1, $$2)|g; \
			s|(\S+)\.strip\((.+)\)|string.strip($$1, $$2)|g; \
			s|(\S+)\.split\((.+)\)|string.split($$1, $$2)|g; \
			s|(\S+)\.rjust\(\)|string.rjust($$1)|g; \
			s|(\S+)\.center\(\)|string.center($$1)|g; \
			s|(\S+)\.strip\(\)|string.strip($$1)|g; \
			s|(\S+)\.split\(\)|string.split($$1)|g; \
			s|(\w+)\.lower\(\)|string.lower($$1)|g; \
			s|long\(round\(var\)|int\(round\(var\)|g; \
			s|, time$$|, time, string|g; \
		' >dstat15.tr
	@chmod a+x dstat15.tr

%.html: %.txt
	asciidoc -b xhtml11 -d manpage $<

%.1: %.1.xml
	xmlto man $<

%.xml: %.txt
	asciidoc -b docbook -d manpage $<

## dstat 0.6.3

=== Makefile ===
--- 
+++ 
@@ -1,24 +1,43 @@
+name = dstat
+version = $(shell awk '/^Version: / {print $$2}' $(name).spec)
+
 prefix = /usr
 sysconfdir = /etc
 bindir = $(prefix)/bin
 datadir = $(prefix)/share
 mandir = $(datadir)/man
 
-all:
-	@echo "No build phase."
+.PHONY: all install docs clean
 
-install: dstat.1 dstat.1.html
+all: docs
+
+docs:
+	$(MAKE) -C docs docs
+
+install:
 #	-[ ! -f $(DESTDIR)$(sysconfdir)/dstat.conf ] && install -D -m0644 dstat.conf $(DESTDIR)$(sysconfdir)/dstat.conf
 	install -Dp -m0755 dstat $(DESTDIR)$(bindir)/dstat
-	install -Dp -m0644 dstat.1 $(DESTDIR)$(mandir)/man1/dstat.1
 	install -d -m0755 $(DESTDIR)$(datadir)/dstat/
 	install -Dp -m0755 dstat $(DESTDIR)$(datadir)/dstat/dstat.py
 	install -Dp -m0755 plugins/dstat_*.py $(DESTDIR)$(datadir)/dstat/
 #	install -d -m0755 $(DESTDIR)$(datadir)/dstat/examples/
 #	install -Dp -m0755 examples/*.py $(DESTDIR)$(datadir)/dstat/examples/
+	$(MAKE) -C docs install
 
 clean:
-	rm -f dstat15.tr examples/*.pyc plugins/*.pyc dstat.1 dstat.1.html dstat.1.xml
+	rm -f dstat15.tr examples/*.pyc plugins/*.pyc
+	$(MAKE) -C docs clean
+
+dist: clean
+	$(MAKE) -C docs dist
+	find . ! -wholename '*/.svn*' | pax -d -w -x ustar -s ,^,$(name)-$(version)/, | bzip2 >../$(name)-$(version).tar.bz2
+
+rpm: dist
+	rpmbuild -tb --clean --rmsource --rmspec --define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" --define "_rpmdir ../" ../$(name)-$(version).tar.bz2
+
+srpm: dist
+	rpmbuild -ts --clean --rmsource --rmspec --define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" --define "_srcrpmdir../" ../$(name)-$(version).tar.bz2
+
 
 #### Imperfect translation to dstat15
 tr:
@@ -44,12 +63,3 @@
 			s|, time$$|, time, string|g; \
 		' >dstat15.tr
 	@chmod a+x dstat15.tr
-
-%.html: %.txt
-	asciidoc -b xhtml11 -d manpage $<
-
-%.1: %.1.xml
-	xmlto man $<
-
-%.xml: %.txt
-	asciidoc -b docbook -d manpage $<

## dstat 0.6.6

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,9 @@
 	install -Dp -m0755 plugins/dstat_*.py $(DESTDIR)$(datadir)/dstat/
 #	install -d -m0755 $(DESTDIR)$(datadir)/dstat/examples/
 #	install -Dp -m0755 examples/*.py $(DESTDIR)$(datadir)/dstat/examples/
+	install -Dp -m0644 docs/dstat.1 $(DESTDIR)$(mandir)/man1/dstat.1
+
+docs-install:
 	$(MAKE) -C docs install
 
 clean:
@@ -41,8 +44,9 @@
 
 #### Imperfect translation to dstat15
 tr:
-	@cat dstat | perl -p -e ' \
+	cat dstat | perl -p -e ' \
 			next if (s|(\S+)\.center\((.+)\)\.replace\((.+), (.+)\)|string.replace(string.center($$1, $$2), $$3, $$4)|g); \
+			next if (s|(.[-?] .)\.ljust\((\S+)\)|string.ljust\($$1, $$2\)|g); \
 			next if (s|(.[-?] .)\.rjust\((\S+)\)|string.rjust\($$1, $$2\)|g); \
 			next if (s|(. .)\.join\(l\[cpunr\+2:\]\)\.split\((.,.)\)|string.split(string.join(l[cpunr+2:], $$1), $$2)|g); \
 			next if (s|self\.intmap\[(\S+)\.strip\(\)\.lower\(\)\]|self.intmap[string.strip(string.lower($$1))]|g); \
@@ -50,10 +54,12 @@
 			next if (s|(\S+)\.replace\((.:.), (. .)\)\.split\(\)|string.split(string.replace($$1, $$2, $$3))|g); \
 			next if (s|ret\[name\.strip\(\)\.lower\(\)\]|name = string.lower(string.strip(name))\n				ret[name]|g); \
 			s|(\S+)\.replace\((.+), (.+)\)|string.replace($$1, $$2, $$3)|g; \
+			s|(\S+)\.ljust\((.+)\)|string.ljust($$1, $$2)|g; \
 			s|(\S+)\.rjust\((.+)\)|string.rjust($$1, $$2)|g; \
 			s|(\S+)\.center\((.+)\)|string.center($$1, $$2)|g; \
 			s|(\S+)\.strip\((.+)\)|string.strip($$1, $$2)|g; \
 			s|(\S+)\.split\((.+)\)|string.split($$1, $$2)|g; \
+			s|(\S+)\.ljust\(\)|string.ljust($$1)|g; \
 			s|(\S+)\.rjust\(\)|string.rjust($$1)|g; \
 			s|(\S+)\.center\(\)|string.center($$1)|g; \
 			s|(\S+)\.strip\(\)|string.strip($$1)|g; \

=== docs/Makefile ===
prefix = /usr
datadir = $(prefix)/share
mandir = $(datadir)/man

txttargets = $(shell echo *.txt)
htmltargets = $(patsubst %.txt, %.html, $(txttargets))

all:

dist: docs

docs: dstat.1 $(htmltargets)

install: dstat.1
	install -Dp -m0644 dstat.1 $(DESTDIR)$(mandir)/man1/dstat.1

clean:
	rm -f dstat.1 *.html *.xml

%.1.html: %.1.txt
	asciidoc -d manpage $<

%.1: %.1.xml
	xmlto man $<

%.html: %.txt
	asciidoc $<

%.1.xml: %.1.txt
	asciidoc -b docbook -d manpage $<

## dstat 0.6.7

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 .PHONY: all install docs clean
 
 all: docs
+	@echo "Nothing to be build."
 
 docs:
 	$(MAKE) -C docs docs
@@ -39,7 +40,7 @@
 	rpmbuild -tb --clean --rmsource --rmspec --define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" --define "_rpmdir ../" ../$(name)-$(version).tar.bz2
 
 srpm: dist
-	rpmbuild -ts --clean --rmsource --rmspec --define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" --define "_srcrpmdir../" ../$(name)-$(version).tar.bz2
+	rpmbuild -ts --clean --rmsource --rmspec --define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" --define "_srcrpmdir ../" ../$(name)-$(version).tar.bz2
 
 
 #### Imperfect translation to dstat15

## dstat 0.6.8

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	install -Dp -m0755 dstat $(DESTDIR)$(bindir)/dstat
 	install -d -m0755 $(DESTDIR)$(datadir)/dstat/
 	install -Dp -m0755 dstat $(DESTDIR)$(datadir)/dstat/dstat.py
-	install -Dp -m0755 plugins/dstat_*.py $(DESTDIR)$(datadir)/dstat/
+	install -Dp -m0644 plugins/dstat_*.py $(DESTDIR)$(datadir)/dstat/
 #	install -d -m0755 $(DESTDIR)$(datadir)/dstat/examples/
 #	install -Dp -m0755 examples/*.py $(DESTDIR)$(datadir)/dstat/examples/
 	install -Dp -m0644 docs/dstat.1 $(DESTDIR)$(mandir)/man1/dstat.1

## dstat 0.7.0

=== Makefile ===
name = dstat
version = $(shell awk '/^Version: / {print $$2}' $(name).spec)

prefix = /usr
sysconfdir = /etc
bindir = $(prefix)/bin
datadir = $(prefix)/share
mandir = $(datadir)/man

.PHONY: all install docs clean

all: docs
	@echo "Nothing to be build."

docs:
	$(MAKE) -C docs docs

install:
#	-[ ! -f $(DESTDIR)$(sysconfdir)/dstat.conf ] && install -D -m0644 dstat.conf $(DESTDIR)$(sysconfdir)/dstat.conf
	install -Dp -m0755 dstat $(DESTDIR)$(bindir)/dstat
	install -d -m0755 $(DESTDIR)$(datadir)/dstat/
	install -Dp -m0755 dstat $(DESTDIR)$(datadir)/dstat/dstat.py
	install -Dp -m0644 plugins/dstat_*.py $(DESTDIR)$(datadir)/dstat/
#	install -d -m0755 $(DESTDIR)$(datadir)/dstat/examples/
#	install -Dp -m0755 examples/*.py $(DESTDIR)$(datadir)/dstat/examples/
	install -Dp -m0644 docs/dstat.1 $(DESTDIR)$(mandir)/man1/dstat.1

docs-install:
	$(MAKE) -C docs install

clean:
	rm -f examples/*.pyc plugins/*.pyc
	$(MAKE) -C docs clean

dist: clean
	$(MAKE) -C docs dist
	svn list -R | pax -d -w -x ustar -s ,^,$(name)-$(version)/, | bzip2 >../$(name)-$(version).tar.bz2

rpm: dist
	rpmbuild -tb --clean --rmspec --define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" --define "_rpmdir ../" ../$(name)-$(version).tar.bz2

srpm: dist
	rpmbuild -ts --clean --rmspec --define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" --define "_srcrpmdir ../" ../$(name)-$(version).tar.bz2

## dstat 0.7.2

=== Makefile ===
--- 
+++ 
@@ -34,6 +34,7 @@
 
 dist: clean
 	$(MAKE) -C docs dist
+	svn up
 	svn list -R | pax -d -w -x ustar -s ,^,$(name)-$(version)/, | bzip2 >../$(name)-$(version).tar.bz2
 
 rpm: dist

=== docs/Makefile ===
--- 
+++ 
@@ -20,11 +20,12 @@
 %.1.html: %.1.txt
 	asciidoc -d manpage $<
 
-%.1: %.1.xml
-	xmlto man $<
-
 %.html: %.txt
 	asciidoc $<
 
 %.1.xml: %.1.txt
 	asciidoc -b docbook -d manpage $<
+
+%.1: %.1.xml
+	@xmlto man $<
+

=== debian/changelog ===
dstat (0.7.2-4) unstable; urgency=low

  * debian/control: bumped Standards-Version (no changes)
  * Patched path to squidclient (closes: #629680)

 -- Andrew Pollock <apollock@debian.org>  Mon, 24 Mar 2014 11:57:53 +1000

dstat (0.7.2-3) unstable; urgency=low

  * debian/rules: add build-{arch,indep} targets
  * debian/rules: substituted deprecated dh_clean -k call for dh_prep
  * converted to 3.0 (quilt) source format

 -- Andrew Pollock <apollock@debian.org>  Sun, 12 Feb 2012 23:16:34 -0800

dstat (0.7.2-2) unstable; urgency=low

  * Convert to use dh_python2 (closes: #616795)
  * debian/control: bumped Standards-Version (no changes)

 -- Andrew Pollock <apollock@debian.org>  Sun, 29 May 2011 21:45:36 -0700

dstat (0.7.2-1) unstable; urgency=low

  * New upstream release (closes: #588476)
  * debian/control: Bumped Standards-Version (no changes)

 -- Andrew Pollock <apollock@debian.org>  Thu, 08 Jul 2010 13:16:26 -0700

dstat (0.7.1-1) unstable; urgency=low

  * New upstream release
  * debian/control: add ${misc:Depends}
  * debian/control: build-depend on python instead of python-all-dev

 -- Andrew Pollock <apollock@debian.org>  Wed, 24 Mar 2010 08:48:06 -0700

dstat (0.7.0-2) unstable; urgency=high

  * Remove debian/patches, there's no longer any patches being applied
  * debian/rules: Temporarily remove upstream's mysql5_conn plugin, as it has a
    syntax error (closes: #558047)

 -- Andrew Pollock <apollock@debian.org>  Thu, 26 Nov 2009 10:51:20 -0800

dstat (0.7.0-1) unstable; urgency=high

  * New upstream release
  * Includes fix for insecure plugin loaded (CVE-2009-3894) (closes: #557989)

 -- Andrew Pollock <apollock@debian.org>  Wed, 25 Nov 2009 12:54:30 -0800

dstat (0.6.9-1) unstable; urgency=low

  * New upstream release
  * debian/control: bump Standards-Version (no changes)
  * debian/compat: bump debhelper compatibility version to 5
  * debian/copyright: explicitly refer to GPLv2

 -- Andrew Pollock <apollock@debian.org>  Fri, 08 May 2009 21:21:20 -0700

dstat (0.6.8-1) unstable; urgency=low

  * New upstream release
  * debian/examples: remove, upstream no longer ships a dstat.conf in the
    tarball

 -- Andrew Pollock <apollock@debian.org>  Mon, 29 Sep 2008 05:58:40 -0700

dstat (0.6.7-1) unstable; urgency=low

  * New upstream release
  * debian/dirs: remove usr/sbin
  * debian/control: bumped Standards-Version (no changes)
  * debian/rules: move all the action from binary-arch to binary-indep
  * Stop applying no xterm title setting patch. Upstream now only does it if
    the shell is Bash
  * Remove extraneous junk from the diff.gz
  * debian/control: remove dpatch from build dependencies
  * debian/rules: remove dpatch support

 -- Andrew Pollock <apollock@debian.org>  Wed, 19 Mar 2008 22:12:59 -0700

dstat (0.6.6-5) unstable; urgency=low

  * debian/control: moved Homepage: from binary to source

 -- Andrew Pollock <apollock@debian.org>  Sat, 27 Oct 2007 14:37:23 -0700

dstat (0.6.6-4) unstable; urgency=low

  * Stop shipping a Debian-specific manpage (closes: #433450)

 -- Andrew Pollock <apollock@debian.org>  Tue, 17 Jul 2007 21:52:41 -0700

dstat (0.6.6-3) unstable; urgency=low

  * debian/control: add dpatch to build-dependencies
  * debian/rules: add dpatch support
  * Add patch to not change xterm title (hopefully only temporarily until
    upstream comes up with a better solution) (closes: #348676)
  * debian/control: bump Standard-Version to 3.7.2.2 (no changes)

 -- Andrew Pollock <apollock@debian.org>  Tue, 19 Jun 2007 12:52:59 +0100

dstat (0.6.6-2) unstable; urgency=low

  * debian/rules: we stopped doing a "make install" to fix #283162, stop doing
    a "make clean" to fix some other problems (closes: #427214)
  * debian/control: remove asciidoc and xmlto from the build dependencies

 -- Andrew Pollock <apollock@debian.org>  Mon, 18 Jun 2007 17:26:23 +0100

dstat (0.6.6-1) unstable; urgency=low

  * New upstream release
  * Don't run a make clean in the docs directory until upstream sort things
    out (closes: #427214)
  * debian/control: removed duplication of build-dependency on debhelper
  * debian/rules: removed obsolete call to dh_python

 -- Andrew Pollock <apollock@debian.org>  Sun, 17 Jun 2007 17:32:00 +0100

dstat (0.6.3-2) unstable; urgency=low

  * The "New and exciting packaging technique" release (otherwise known as
    "I've probably completely fucked everything")
  * Comply with new Python policy (closes: #380780)
  * debian/control: build-depend on debhelper (>= 5.0.37.2)
  * debian/control: depend on ${python:Depends} instead of an explicit python
  * debian/control: added "XB-Python-Version: ${python:Versions}" to binary
    package
  * debian/rules: add call to dh_python
  * debian/rules: add call to dh_pycentral
  * debian/control: added "XS-Python-Version: current" to source package
  * debian/control: build-depend on python-all-dev
  * debian/control: move debhelper build-dependency from Build-Depends-Indep
    to Build-Depends

 -- Andrew Pollock <apollock@debian.org>  Tue,  1 Aug 2006 23:03:09 -0700

dstat (0.6.3-1) unstable; urgency=low

  * New upstream release

 -- Andrew Pollock <apollock@debian.org>  Fri,  7 Jul 2006 08:47:59 -0700

dstat (0.6.2-1) unstable; urgency=low

  * New upstream release
  * debian/control: corrected spelling mistake in package description (closes:
    #363301)

 -- Andrew Pollock <apollock@debian.org>  Tue, 18 Apr 2006 08:50:36 -0700

dstat (0.6.1-1) unstable; urgency=low

  * New upstream release
  * This release doesn't ignore keyboard input (closes: #305556, #304673)
  * debian/control: Bumped Standards-Version (no changes)
  * debian/control: Add build dependency on asciidoc, xmlto
  * debian/control: Change Build-Depends to Build-Depends-Indep
  * debian/copyright: updated address of the FSF

 -- Andrew Pollock <apollock@debian.org>  Fri, 14 Oct 2005 20:10:48 +1000

dstat (0.5.10-1) unstable; urgency=high

  * New upstream release


=== debian/control ===
Source: dstat
Section: admin
Priority: optional
Maintainer: Andrew Pollock <apollock@debian.org>
Build-Depends: debhelper (>= 5.0.37.2)
Build-Depends-Indep: python (>= 2.6.6-3~)
Standards-Version: 3.9.5
Homepage: http://dag.wieers.com/home-made/dstat/

Package: dstat
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Conflicts: sleuthkit (<< 1.73-2)
Description: versatile resource statistics tool
 Dstat is a versatile replacement for vmstat, iostat and ifstat. Dstat
 overcomes some of the limitations of these programs and adds some
 extra features.
 .
 Dstat allows you to view all of your network resources instantly, you 
 can for example, compare disk usage in combination with interrupts 
 from your IDE controller, or compare the network bandwidth numbers
 directly with the disk throughput (in the same interval).
 .
 Dstat also cleverly gives you the most detailed information in columns
 and clearly indicates in what magnitude and unit the output is displayed.
 .
 Dstat is also unique in letting you aggregate block device throughput for
 a certain diskset or network bandwidth for a group of interfaces, i.e. you
 can see the throughput for all the block devices that make up a single
 filesystem or storage system.
 .
 Dstat's output, in its current form, is not suited for post-processing by
 other tools, it's mostly meant for humans to interpret real-time data
 as easy as possible.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=dstat

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	#
	# There's nothing to make, it's a python script
	# and the upstream makefile tries to do an install when you build
	# (see #283162)
	#
	#$(MAKE)
	#docbook-to-man debian/dstat.sgml > dstat.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Because there's nothing to make (see #283162), there's nothing to
	# clean either (#427214)
	#-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/dstat.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/dstat
	# Temporary fix for #558047
	rm $(CURDIR)/debian/dstat/usr/share/dstat/dstat_mysql5_conn.py


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_python2
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## dstat 0.7.3

=== Makefile ===
--- 
+++ 
@@ -32,10 +32,18 @@
 	rm -f examples/*.pyc plugins/*.pyc
 	$(MAKE) -C docs clean
 
+test:
+	./dstat -taf 1 5
+	./dstat -t --all-plugins 1 5
+
 dist: clean
 	$(MAKE) -C docs dist
-	svn up
-	svn list -R | pax -d -w -x ustar -s ,^,$(name)-$(version)/, | bzip2 >../$(name)-$(version).tar.bz2
+#	svn up && svn list -R | pax -d -w -x ustar -s ,^,$(name)-$(version)/, | bzip2 >../$(name)-$(version).tar.bz2
+#	svn st -v --xml | \
+        xmlstarlet sel -t -m "/status/target/entry" -s A:T:U '@path' -i "wc-status[@revision]" -v "@path" -n | \
+        pax -d -w -x ustar -s ,^,$(name)-$(version)/, | \
+        bzip2 >../$(name)-$(version).tar.bz2
+	git ls-files | pax -d -w -x ustar -s ,^,$(name)-$(version)/, | bzip2 >../$(name)-$(version).tar.bz2
 
 rpm: dist
 	rpmbuild -tb --clean --rmspec --define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" --define "_rpmdir ../" ../$(name)-$(version).tar.bz2

=== debian/changelog ===
dstat (0.7.3-1) unstable; urgency=medium

  * New upstream release (closes: #851494)
  * debian/watch: updated for new location on Github
  * debian/control: updated homepage
  * debian/control: added asciidoc, xmlto to build-depends
  * debian/control: update build-depends for debhelper 9
  * debian/rules: redo for debhelper 9
  * debian/control: bump standards-version

 -- Andrew Pollock <apollock@debian.org>  Wed, 18 Jan 2017 20:12:16 +1000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Andrew Pollock <apollock@debian.org>
-Build-Depends: debhelper (>= 5.0.37.2)
-Build-Depends-Indep: python (>= 2.6.6-3~)
-Standards-Version: 3.9.5
-Homepage: http://dag.wieers.com/home-made/dstat/
+Build-Depends: debhelper (>= 9)
+Build-Depends-Indep: python (>= 2.6.6-3~), asciidoc, xmlto
+Standards-Version: 3.9.8
+Homepage: http://dag.wiee.rs/home-made/dstat/
 
 Package: dstat
 Architecture: all

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=2
#sunsite.unc.edu	/pub/Linux/Incoming	dstat-(.*)\.tar\.gz	debian	uupdate
http://dag.wieers.com/home-made/dstat/dstat-(.*)\.tar\.bz2

## dstat 0.7.4

=== Makefile ===
--- 
+++ 
@@ -33,6 +33,7 @@
 	$(MAKE) -C docs clean
 
 test:
+	./dstat --version
 	./dstat -taf 1 5
 	./dstat -t --all-plugins 1 5
 
@@ -50,3 +51,6 @@
 
 srpm: dist
 	rpmbuild -ts --clean --rmspec --define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" --define "_srcrpmdir ../" ../$(name)-$(version).tar.bz2
+
+snap:
+	cd packaging/snap/; snapcraft

=== docs/Makefile ===
prefix = /usr
datadir = $(prefix)/share
mandir = $(datadir)/man

template = dagit.ott

adoctargets = $(shell echo *.adoc)
htmltargets = $(patsubst %.adoc, %.html, $(adoctargets))

all:

dist: docs

docs: dstat.1 $(htmltargets)

install: dstat.1
	install -Dp -m0644 dstat.1 $(DESTDIR)$(mandir)/man1/dstat.1

clean:
	rm -f dstat.1 *.html *.xml

%.1.html: %.1.adoc
	asciidoc -d manpage $<

%.html: %.adoc
	asciidoc $<

%.1.xml: %.1.adoc
	asciidoc -b docbook -d manpage $<

%.1: %.1.xml
	@xmlto man $<

%.xml: %.adoc
	asciidoc -b docbook -d article -o $@ $<

%.htm: %.adoc
	asciidoc -s -b html4 -d article -o $@ $<

%.xhtml: %.adoc
	asciidoc -s -b xhtml11 -d article -o $@ $<

%.tmp.odt: %.xml
#»··-make -C /home/dag/home-made/docbook2odf/ dag-cv
	docbook2odf -f --params generate.meta=0 -o $@ $<

%.odt: $(template) %.tmp.odt
	unoconv -f odt -t $(template) -o $@ $<

=== debian/changelog ===
dstat (0.7.4-6) unstable; urgency=medium

  * debian/patches/make-test-no-plugins: there is a misterious failure to test
    all plugins on buildds. As we do test successfully --all-plugins with
    autopkgtest anyways, disable it for now.

 -- Emanuele Rocca <ema@debian.org>  Sun, 04 Aug 2019 20:47:20 +0200

dstat (0.7.4-5) unstable; urgency=medium

  * Add debian/tests/all-plugins.
  * Print plugin name upon errors in o.extract().
  * Docs artifacts are included in upstream tarball. Do not run make docs
    clean.

 -- Emanuele Rocca <ema@debian.org>  Fri, 02 Aug 2019 16:32:29 +0200

dstat (0.7.4-4) unstable; urgency=medium

  * Source-only upload to make sure the package migrates to bullseye.
  * Add debian/tests/mem-header.

 -- Emanuele Rocca <ema@debian.org>  Thu, 01 Aug 2019 18:26:34 +0200

dstat (0.7.4-3) unstable; urgency=medium

  * Add debian/patches/name_error to fix NameErrors: 'cols', 'oldvislist',
    'showheader'
  * Update test to verify that 'delay' > 1 does not break things

 -- Emanuele Rocca <ema@debian.org>  Mon, 29 Jul 2019 20:38:56 +0200

dstat (0.7.4-2) unstable; urgency=medium

  * debian/tests/cpu-header: pass -c to limit testing to cpu stats

 -- Emanuele Rocca <ema@debian.org>  Mon, 29 Jul 2019 18:32:12 +0200

dstat (0.7.4-1) unstable; urgency=medium

  * New upstream version, python3 compatible
  * Update all patches to work with the new upstream release
  * Add debian/patches/python3 to use /usr/bin/env python3 instead of
    /usr/bin/env python
  * Add debian/patches/collections_abc
  * Depend and Build-Depend on python3-six
  * Stop installing README.md, removed by upstream
  * Add myself to Uploaders
  * Add debian/salsa-ci.yml to enable CI tests
  * Add basic autopkgtest test
  * Vcs fields set to newly created project on salsa:
    https://salsa.debian.org/debian/dstat
  * Update debian/watch file pointing to github.com/dagwieers/dstat
  * Set Standards-Version to 4.4.0

 -- Emanuele Rocca <ema@debian.org>  Mon, 29 Jul 2019 13:03:32 +0200

dstat (0.7.3-1.1) unstable; urgency=high

  * Non-maintainer upload
  * Fix crash in top-int plugin (closes: #852927)
  * Exclude ntp plugin from --all-plugins, used by make test (closes: #857973)

 -- Emanuele Rocca <ema@debian.org>  Sat, 23 Feb 2019 02:10:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,17 @@
 Section: admin
 Priority: optional
 Maintainer: Andrew Pollock <apollock@debian.org>
+Uploaders: Emanuele Rocca <ema@debian.org>
 Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: python (>= 2.6.6-3~), asciidoc, xmlto
-Standards-Version: 3.9.8
+Build-Depends-Indep: dh-python, python3, python3-six, asciidoc, xmlto
+Standards-Version: 4.4.0
 Homepage: http://dag.wiee.rs/home-made/dstat/
+Vcs-Git: https://salsa.debian.org/debian/dstat.git
+Vcs-Browser: https://salsa.debian.org/debian/dstat.git
 
 Package: dstat
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: ${python3:Depends}, ${misc:Depends}, python3-six
 Conflicts: sleuthkit (<< 1.73-2)
 Description: versatile resource statistics tool
  Dstat is a versatile replacement for vmstat, iostat and ifstat. Dstat

=== debian/tests/control ===
Tests: cpu-header, mem-header
Depends: dstat

Tests: all-plugins
Depends: dstat
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/dstat-$1\.tar\.gz/ \
  https://github.com/dagwieers/dstat/tags .*/v?(\d\S+)\.tar\.gz

## dstat 1.0.4

=== DESCRIPTION ===
Package: dstat
Type: Package
Title: Conditional Sensitivity Analysis for Matched Observational
        Studies
Version: 1.0.4
Author: Paul R. Rosenbaum
Maintainer: Paul R. Rosenbaum <rosenbaum@wharton.upenn.edu>
Description: A d-statistic tests the null hypothesis of no treatment effect in a matched, nonrandomized study of the effects caused by treatments.  A d-statistic focuses on subsets of matched pairs that demonstrate insensitivity to unmeasured bias in such an observational study, correcting for double-use of the data by conditional inference. This conditional inference can, in favorable circumstances, substantially increase the power of a sensitivity analysis (Rosenbaum (2010) <doi:10.1007/978-1-4419-1213-8_14>).  There are two examples, one concerning unemployment from Lalive et al. (2006) <doi:10.1111/j.1467-937X.2006.00406.x>, the other concerning smoking and periodontal disease from Rosenbaum (2017) <doi:10.1214/17-STS621>.  
License: GPL-2
Encoding: UTF-8
LazyData: true
Imports: stats
NeedsCompilation: no
Packaged: 2019-04-15 13:23:56 UTC; Rosenbaum
Repository: CRAN
Date/Publication: 2019-04-16 09:42:41 UTC
